#ifndef DECODER_H
#define DECODER_H

/*
 *  decoder.h
 *  MP3 decoding routines
 *
 *  Created by Alexander Thomas on 21/07/06.
 *
 *  TODO: replace with C++ version from SoundStats, extend it to be aware of tags
 */

#include <stdio.h>

#include <mad.h>


/*
 * This function decodes a file stream and returns the peak sample value and
 * ReplayGain value. Return value is number of decoding errors.
 * if fSize > 0, decoding will stop after fSize bytes have been read. */
unsigned long decode(FILE *file, unsigned long fSize,
                     float *peak, float *gain);

/* Return the album gain computed until now. */
float getAlbumGain();

#endif /* DECODER_H */
